Pause Batch Call
curl --request POST \
--url https://api.truedy.ai/api/public/v1/batch-calls/{batch_call_id}/pause \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.truedy.ai/api/public/v1/batch-calls/{batch_call_id}/pause"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.truedy.ai/api/public/v1/batch-calls/{batch_call_id}/pause', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"name": "<string>",
"agent_id": "<string>",
"phone_rotation_strategy": "<string>",
"contact_source": "<string>",
"status": "<string>",
"schedule_type": "<string>",
"timezone": "<string>",
"max_concurrent_calls": 123,
"retry_failed": true,
"max_retry_attempts": 123,
"total_contacts": 123,
"completed_contacts": 123,
"successful_contacts": 123,
"failed_contacts": 123,
"voicemail_contacts": 123,
"no_answer_contacts": 123,
"total_cost_usd": 123,
"average_duration_seconds": 123,
"created_at": "2023-11-07T05:31:56Z",
"clerk_org_id": "<string>",
"phone_number_ids": [
"<string>"
],
"contact_folder_id": "<string>",
"scheduled_at": "2023-11-07T05:31:56Z",
"start_time": "<string>",
"end_time": "<string>",
"working_days": [
123
],
"max_calls_per_day": 123,
"updated_at": "2023-11-07T05:31:56Z"
},
"meta": {
"request_id": "<string>",
"ts": "2023-11-07T05:31:56Z"
}
}{
"error": {
"code": "validation_error",
"message": "Missing required field: name",
"details": {
"errors": []
}
},
"meta": {
"request_id": "req_01JEXAMPLE",
"ts": "2026-08-21T00:00:00Z"
}
}{
"error": {
"code": "validation_error",
"message": "Missing required field: name",
"details": {
"errors": []
}
},
"meta": {
"request_id": "req_01JEXAMPLE",
"ts": "2026-08-21T00:00:00Z"
}
}{
"error": {
"code": "validation_error",
"message": "Missing required field: name",
"details": {
"errors": []
}
},
"meta": {
"request_id": "req_01JEXAMPLE",
"ts": "2026-08-21T00:00:00Z"
}
}{
"error": {
"code": "validation_error",
"message": "Missing required field: name",
"details": {
"errors": []
}
},
"meta": {
"request_id": "req_01JEXAMPLE",
"ts": "2026-08-21T00:00:00Z"
}
}{
"error": {
"code": "validation_error",
"message": "Missing required field: name",
"details": {
"errors": []
}
},
"meta": {
"request_id": "req_01JEXAMPLE",
"ts": "2026-08-21T00:00:00Z"
}
}Batch Calls
Pause Batch Call
Pause an active or scheduled batch call. No request body is required.
POST
/
batch-calls
/
{batch_call_id}
/
pause
Pause Batch Call
Authorizations
Your API key. Send in the Authorization header as: Bearer
Path Parameters
⌘I

